<div class="page">
    <div class="mat-card-header">
        <div class="mat-card-header-entry"><h1>Dataflows</h1></div>
    </div>

    <table
        mat-table
        [dataSource]="dataSource"
        matSort
        multiTemplateDataRows
        class="mat-elevation-z8"
    >
        <ng-container matColumnDef="path">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Path</th>
            <td mat-cell *matCellDef="let element">
                <a href="{{ element.openapi_link }}">{{ element.path }}</a>
            </td>
        </ng-container>

        <ng-container matColumnDef="owner">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Owner</th>
            <td mat-cell *matCellDef="let element">
                {{ element.owner }}
            </td>
        </ng-container>

        <ng-container matColumnDef="created_on">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Created on</th>
            <td mat-cell *matCellDef="let element">
                {{ element.created_on }}
            </td>
        </ng-container>

        <ng-container matColumnDef="last_edited_on">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Last edited on</th>
            <td mat-cell *matCellDef="let element">
                {{ element.last_edited_on }}
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="tableColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: tableColumns;"></tr>
    </table>
</div>
